Subject: Re: [PATCH 2/2] build-system: mix: Fix decoding of package names with git versions.

From: paul <[email-masked]>
Date: Wed, 25 Sep 2024 23:30:02 +0200

Hi Liliana,

Thank you for your help! I'm sending  v2 addressing your comments. I 
dropped the

elixir-relative-libdir

procedure all together because after some experimentation over at [0] it 
doesn't seem to be actually required. About splitting at dots it would 
complicate the logic imho as you would need to discriminate dots between 
version numbers and the dot before the commit. If you don't consider 
this as a blocking issue I think the regexp should be enough for the 
cases I tried.

Thank you for your work,

giacomo

[0]: https://github.com/fishinthecalculator/bonfire-guix